Subject: RE: bug#40671: [DOC] modify literal objects

From: Drew Adams <[email-masked]>
Date: Sun, 19 Apr 2020 22:54:01 -0700 (PDT)

> Another way to put it is: an object can start off mutable and later
> become constant

I don't like that formulation at all.  You must
instead be talking about different objects.  A
mutable object cannot be changed to a constant,
AFAIK.

I think the gotcha we're talking about is thinking
that a particular object is mutable when it's not.

> +A mutable object can become constant if it is passed to the
> +@code{eval} function, 

How so?  What's an example?

> +because you should not modify an object that is
> +being or might be executed.

I don't think it even makes any sense to say that
something can become something else _because you
should not do XYZ_.  That parses - is grammatical,
but it makes no sense.